org.apache.jmeter.gui.action

## Class RegexpSearcher

- java.lang.Object
- - org.apache.jmeter.gui.action.RegexpSearcher

- All Implemented Interfaces:
    Searcher

      public class RegexpSearcher
      extends java.lang.Object
      implements Searcher

  Regexp search implementation

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexpSearcher(boolean caseSensitive, java.lang.String regexp)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `search(java.util.List<java.lang.String> textTokens)` Implements the search

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegexpSearcher

          public RegexpSearcher(boolean caseSensitive,
                                java.lang.String regexp)

      Constructor
      Parameters:
        `caseSensitive` - is search case sensitive
        `regexp` - Regexp to search

  - ### Method Detail

    - #### search

          public boolean search(java.util.List<java.lang.String> textTokens)

      Implements the search
      Specified by:
        `search` in interface `Searcher`
      Parameters:
        `textTokens` - List of content to be searched
      Returns:
        true if search on textTokens is successful

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.